exec("./audio.cs");
exec("./playerType.cs");
exec("./chidori.cs");
exec("./fireball.cs");

function resetNaruto()
{
	exec("./server.cs");
}

// Fire Release
$jutsu_fireball = "Rat Monkey Tiger"; 
$jutsu[$jutsu_fireball] = "Fireball Technique";

$jutsu_grand_fireball = "Snake Bird Dog Rat Monkey Tiger"; $jutsu[$jutsu_grand_fireball] = "Grand Fireball Technique";
$jutsu_great_fire = "Rat Tiger Snake Dog Dragon Monkey Horse Ox Bird"; $jutsu[$jutsu_great_fire] = "Great Fire Annihilation";
$jutsu_amaterasu = "Rat Bird Dog Snake Bird Tiger Dragon Bird Ox Rat Bird Tiger"; $jutsu[$jutsu_amaterasu] = "Amaterasu";

// Lightning Release
$jutsu_chidori = "Snake Rat Tiger Dog Horse Monkey Ox Dragon Bird Monkey Bird Horse"; $jutsu[$jutsu_chidori] = "Chidori";
$jutsu_thunderbolt = "Tiger Snake Tiger Bird Tiger Ox Dragon Tiger Ox"; $jutsu[$jutsu_thunderbolt] = "Thunderbolt";
$jutsu_grand_strike = "Tiger Snake Tiger Dog Ox Bird"; $jutsu[$jutsu_grand_strike] = "Grand Lightning Strike";
$jutsu_lightning_strike = "Tiger Snake Dog"; $jutsu[$jutsu_lightning_strike] = "Lightning Strike";

// Earth Release

// Wind Release
$jutsu_rasenshuriken = "Rat Tiger Snake Dog Rat Tiger Snake Dog Dragon Monkey Ox Bird"; $jutsu[$jutsu_rasenshuriken] = "Rasenshuriken";
$jutsu_vacuum_sphere = "Dragon Monkey Ox Horse Rat Tiger Snake Dog Bird"; $jutsu[$jutsu_vacuum_sphere] = "Vacuum Sphere";
$jutsu_wind_bullet = "Horse Bird Monkey Snake Dog Monkey"; $jutsu[$jutsu_wind_bullet] = "Air Bullets";
$jutsu_wind_wall = "Ox Dog Rat"; $jutsu[$jutsu_wind_wall] = "Swift Wind Wall";

// Water Release

// other



$seal_type_["Tiger"] = "Fire";
$seal_range_["Tiger"] = "Mid";
$seal_class_["Tiger"] = "Atk";

$seal_type_["Bird"] = "Wind";
$seal_range_["Bird"] = "Long";
$seal_class_["Bird"] = "Def";


function checkJutsu(%seal)
{
	if($jutsu[%seal] !$= "")
	{
		return $jutsu[%seal];
	}
	else
	{
		return "";
	}
}
function Player::formJutsu(%player)
{
	if((%jutsu = checkJutsu(%player.currentSeal)) !$= "")
	{
		%player.client.centerPrint("\c2" @ %player.currentSeal @ "<br>\c2" @ %jutsu, 5);
		%player.currentSeal = "";
		serverPlay3D(RNaruto_JutsuActivateSound, %player.getHackPosition());
		cancel(%player.lastSealQuota);
		
		%evalString = %player.activeBotWeapon2 @ ".jutsuPerform" @ stripChars(%jutsu, " ;:") @ "();";
		eval(%evalstring);
		//talk(%evalString);
	}
	else
	{
		%player.client.centerPrint("\c0" @ %player.currentSeal, 1);
		%player.currentSeal = "";
	}
}
function Player::handSeal(%player, %seal)
{
	if(%player.getMountedImage(0) == rally_NinjutsuImage.getID())
	{
		if(%player.jutsuActive !$= "")
			return;
	
		serverPlay3D(RNaruto_WeaveSound, %player.getHackPosition());
		%player.activebotWeapon[2].playThread(1, %seal);
		%player.playThread(1, armReadyBoth);
		%player.playThread(2, plant);
		
		if(%player.currentSeal !$= "")
			%player.currentSeal = %player.currentSeal SPC %seal;
		else
			%player.currentSeal = %seal;
		
		
		if(getWordCount(%player.currentSeal) > 12)
		{
			%player.client.centerPrint("\c0" @ %player.currentSeal, 5);
			%player.currentSeal = "";
			cancel(%player.lastSealQuota);
		}
		else
		{
			%string = "\c6" @ %player.currentSeal;
			if((%jutsu = checkJutsu(%player.currentSeal)) !$= "")
			{
				%player.client.centerPrint(%string @ "<br>\c2" @ %jutsu, 5);
			}
			else
			{
				%player.client.centerPrint(%string, 5);
			}
			
			cancel(%player.lastSealQuota);
			%player.lastSealQuota = %player.schedule(5000, jutsuDecay);
		}
	}
}
function Player::jutsuDecay(%player)
{
	%string = "\c0" @ %player.currentSeal;
	if((%jutsu = checkJutsu(%player.currentSeal)) !$= "")
	{
		%player.client.centerPrint(%string @ "<br>\c0" @ %jutsu, 1);
	}
	else
	{
		%player.client.centerPrint(%string, 1);
	}
	%player.currentSeal = "";
	cancel(%player.lastSealQuota);
}

package handSeals
{
	function ServerCmdPlantBrick(%client)
	{
		%client.player.formJutsu();
		Parent::ServerCmdPlantBrick(%client);
	}
	function ServerCmdShiftBrick(%client, %x, %y, %z)
	{
		if(%player = %client.player)
		{
			%input = %x SPC %y SPC %z;
			switch$(%input)
			{
				case "1 0 0":
					%player.handSeal("Monkey");
				case "0 1 0":
					%player.handSeal("Dragon");
				case "0 0 -3":
					%player.handSeal("Bird");
				case "0 -1 0":
					%player.handSeal("Ox");
				case "0 0 -1":
					%player.handSeal("Snake");
				case "0 0 1":
					%player.handSeal("Dog");
				case "-1 0 0":
					%player.handSeal("Horse");
			}
		
		}
		Parent::ServerCmdShiftBrick(%client, %x, %y, %z);
	}
	
	function ServerCmdRotateBrick(%client, %dir)
	{
		if(%player = %client.player)
		{
			if(%dir > 0)
			{
				%player.handSeal("Tiger");
			}
			else
			{
				%player.handSeal("Rat");
			}
		}
	
		Parent::ServerCmdRotateBrick(%client, %dir);
	}


};
activatePackage(handSeals);